function uf = ctof(uc)
%
% Coarse to fine (one level) intergrid transfer by interpolation.
% We assume that 
% n = length(u) = 2^l + 1
% which means the grids are nested.
%
nc = length(uc);
nf = 2*(nc-1) +1;
uf=zeros(nf,1);
uf(1:2:nf)=uc;
uf(2:2:nf-1) = .5*(uc(1:nc-1) + uc(2:nc));
